#pragma once

// CBlockListDoc document

#include <set>

class CBlockDirectory;

class CBlocksDoc
{
	friend class CBlocksToolBar;

public:
	CBlocksDoc();
	virtual ~CBlocksDoc();
	CBlockDirectory* GetRootDirectory();
	BOOL Load();
private:
	CBlockDirectory *m_pBlockDirRoot;
	std::set<HMODULE> m_setDll;
};
